<html>
<head>
<title>Ogre::GLFBOManager::FormatProperties Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html">FormatProperties</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLFBOManager::FormatProperties Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLFBOManager::FormatProperties" -->
<p>Frame Buffer Object properties for a certain texture format.  
 <a href="structOgre_1_1GLFBOManager_1_1FormatProperties.html#details">More...</a></p>

<p><a href="structOgre_1_1GLFBOManager_1_1FormatProperties-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties_1_1Mode.html">Mode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allowed modes/properties for this pixel format.  <a href="structOgre_1_1GLFBOManager_1_1FormatProperties_1_1Mode.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html#a6ef6e0ff7fc517809ecaf656a4f32d50">valid</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties_1_1Mode.html">Mode</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html#a633b3871eec55f1afe8b982167b5cbcd">modes</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Frame Buffer Object properties for a certain texture format. </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00113">113</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a633b3871eec55f1afe8b982167b5cbcd"></a><!-- doxytag: member="Ogre::GLFBOManager::FormatProperties::modes" ref="a633b3871eec55f1afe8b982167b5cbcd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties_1_1Mode.html">Mode</a>&gt;::type <a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html#a633b3871eec55f1afe8b982167b5cbcd">Ogre::GLFBOManager::FormatProperties::modes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00125">125</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6ef6e0ff7fc517809ecaf656a4f32d50"></a><!-- doxytag: member="Ogre::GLFBOManager::FormatProperties::valid" ref="a6ef6e0ff7fc517809ecaf656a4f32d50" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html#a6ef6e0ff7fc517809ecaf656a4f32d50">Ogre::GLFBOManager::FormatProperties::valid</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00115">115</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:18
</p>
</body>
</html>
